Bug 134758 - konqueror crash in DOM::DocumentImpl::recalcStyleSelector
konqueror crash in DOM::DocumentImpl::recalcStyleSelector
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-06 01:20 EDT by Ellen Shull
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 16:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kde crash handler backtrace (3.79 KB, text/plain)
2004-10-06 01:21 EDT, Ellen Shull
no flags Details

  None (edit)
Description Ellen Shull 2004-10-06 01:20:29 EDT
Description of problem: 
http://torrentdb.ath.cx crashes konqueror consistently and repeatably 
in DOM::DocumentImpl::recalcStyleSelector.  It's some kind of funky 
XML-based page that I've never got to work outside of a gecko-based 
browser, but at least konq used to just display a blank page instead 
of crashing. 
 
Version-Release number of selected component (if applicable): 
kdebase-3.3.0-7 
kdelibs-3.3.0-5 
(not exactly sure what library/package the crash is occurring in so 
I'm just reporting under the package that contains the konq binary) 
 
How reproducible: 
always 
 
Steps to Reproduce: 
1.  Try to open http://torrentdb.ath.cx in konqueror 
   
Actual results: 
Crash.  See attached backtrace from KDE crash handler. 
 
Expected results: 
No crash!
Comment 1 Ellen Shull 2004-10-06 01:21:21 EDT
Created attachment 104820 [details]
kde crash handler backtrace
Comment 2 Ngo Than 2004-10-07 15:33:39 EDT
i can reproduce it on my local machine.
Comment 3 Ngo Than 2004-11-02 16:35:04 EST
it's fixed in kdelibs-3.3.1-4 or newer. It will be available after FC3
official released. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.